<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0" xpath-default-namespace="http://www.tei-c.org/ns/1.0">
    
    <xsl:output method="text"/>
    
    <!--  name="startHere" a handle to use the stylesheet without XML data source. in Transformation Szenario > Advanced Options (gears next to transformer) > Template (simple write "startHere")-->
    
    <xsl:template name="startHere" match="/">
        
        <xsl:text>ID,NAME-zh,NAME-py,LATITUDE,LONGITUDE,FOUNDATION,FIRST_MENTIONED,ENDED,ACTIVE&#xa;</xsl:text>
        <xsl:apply-templates select="TEI/text/body/listPlace/place"/>
        
    </xsl:template>
    
    <xsl:template match="place">
        <xsl:value-of select="@xml:id"/><xsl:text>,</xsl:text>
        <xsl:value-of select="placeName[@xml:lang='zh-TW']"/><xsl:text>,</xsl:text>
        <xsl:value-of select="placeName[@xml:lang='en']"/><xsl:text>,</xsl:text>
        <xsl:value-of select="location/geo/substring-before(text(),',')"/><xsl:text>,</xsl:text>
        <xsl:value-of select="location/geo/substring-after(text(),',')"/><xsl:text>,</xsl:text>
        <xsl:choose>
            <xsl:when test="event/desc[contains(text(), 'Foundation')]">
                <xsl:value-of select="event[desc[contains(text(), 'Foundation')]]/@when"/>
            </xsl:when>
            <xsl:otherwise>NULL</xsl:otherwise>
        </xsl:choose><xsl:text>,</xsl:text>
        <xsl:choose>
            <xsl:when test="event/desc[contains(text(), 'First mentioned')]">
                <xsl:value-of select="event[desc[contains(text(), 'First mentioned')]]/@when"/>
            </xsl:when>
            <xsl:otherwise>NULL</xsl:otherwise>
        </xsl:choose><xsl:text>,</xsl:text>
        <xsl:choose>
            <xsl:when test="event/desc[contains(text(), 'Ended')]">
                <xsl:value-of select="event[desc[contains(text(), 'Ended')]]/@when"/>
            </xsl:when>
            <xsl:otherwise>NULL</xsl:otherwise>
        </xsl:choose><xsl:text>,</xsl:text>
        <xsl:choose>
            <xsl:when test="event/desc[contains(text(),'Active')]">
                <xsl:value-of select="event[desc[contains(text(),'Active')]]/@when"/>
            </xsl:when>
            <xsl:otherwise>NULL</xsl:otherwise>
        </xsl:choose><xsl:text>&#xa;</xsl:text>
    </xsl:template>
    
</xsl:stylesheet>